跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
transfers
Wallet - Transfer List
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/transfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1.5",
      "blockTimestamp": 1717334400000,
      "fromAddress": "54Pz1e35z9uoFdnxtzjp7xZQoFiofqhdayQWBMN7dsuy",
      "id": "transfer-123",
      "toAddress": "8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1",
      "tokenAddress": "So11111111111111111111111111111111111111112",
      "transactionSignature": "4tEHfECrLJm8N7dNCfQSjhLG7LqdMuZhzBhRy7VRhjCt",
      "transferType": "SEND",
      "amountInUsd": "225.00"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

获取钱包的代币转账历史,包含转入与转出。支持分页及按代币过滤。
相关: GraphQL 转账 | MCP: wallet_get_balance_updates

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

An address of a wallet

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
tokenAddress
string

An address of a token

fromTimestamp
integer<int64>

Filter transfers after this timestamp (Unix epoch seconds)

toTimestamp
integer<int64>

Filter transfers before this timestamp (Unix epoch seconds)

minTokenAmount
string

Minimum token amount filter (inclusive)

maxTokenAmount
string

Maximum token amount filter (inclusive)

minTokenAmountInUsd
string

Minimum token amount in USD filter (inclusive)

maxTokenAmountInUsd
string

Maximum token amount in USD filter (inclusive)

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="